#pragma once 


// CCommentDialogLst dialog 

class CCommentDialogLst : public CDialog 
{ 
   DECLARE_DYNAMIC(CCommentDialogLst) 

public: 
   CCommentDialogLst(CPartFile* file); 
   virtual ~CCommentDialogLst(); 
   void Localize(); 
   virtual BOOL OnInitDialog(); 
   CHyperTextCtrl lstbox; 
    

// Dialog Data 
   enum { IDD = IDD_COMMENTLST }; 
protected: 
   virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support 
   DECLARE_MESSAGE_MAP() 
public: 
   afx_msg void OnBnClickedApply(); 
   afx_msg void OnBnClickedRefresh(); 
private: 
   void CompleteList(); 
   CPartFile* m_file; 
};